/**
 * Advanced Internet Service Project
 * 
 * Speaker recognition enhanced voice conference.
 * 
 * Authors: Yancheng Li, Liang Wei, Zhaoyuan Zhang
 * 
 */

import java.io.DataInputStream;
import java.net.Socket;


public class AudioClientReceiver extends Thread {
	private Socket socket;
	private AudioClient audioLoop;
	
	public AudioClientReceiver(Socket socket, AudioClient audioLoop) {
		this.socket = socket;		
		this.audioLoop = audioLoop;
	}
	
	public void run() {
		try {
			byte[] data = new byte[AudioUtil.FRAME_SIZE];
			DataInputStream in = new DataInputStream(socket.getInputStream());
			while(true) {
							
				int readLength = in.read(data, 0, AudioUtil.FRAME_SIZE);
				if(readLength <= 0)
					break;
				audioLoop.write(data, 0, readLength);
				
				sleep(10);		
			}
			
		} catch (Exception e) {
			System.out.println(e.getMessage());
			e.printStackTrace();
		}
	}
}
