/**
 * Advanced Internet Service Project
 * 
 * Speaker recognition enhanced voice conference.
 * 
 * Authors: Yancheng Li, Liang Wei, Zhaoyuan Zhang
 * 
 */
import SpeakerRegonition.LPCCRecognizer;

public class AudioServerDriver {

	/**
	 * @param args
	 */
	public static void main(String[] args) {
		if (args.length != 1) {
			System.out.println("Usage: java AudioServerDriver port");
			return;
		}
		
		int port = Integer.parseInt(args[0]);
		
		if (port <= 0) {
			System.out.println("Usage: java AudioServerDriver port");
			return;
		}
		
		AudioServer audioServer = new AudioServer(port, new LPCCRecognizer());
		audioServer.start();
	}
}
