/**
 * Advanced Internet Service Project
 * 
 * Speaker recognition enhanced voice conference.
 * 
 * Authors: Yancheng Li, Liang Wei, Zhaoyuan Zhang
 * 
 */

package SpeakerRegonition;

public class DistanceMeasure {
	private double[] vector1;
	private double[] vector2;

	DistanceMeasure(double[] x, double[] y) {
		vector1 = x;
		vector2 = y;
	}

	public double getEuclideanDistance() {
		double distance = 0, sum = 0;
		int vectorLength = vector1.length;

		for (int i = 0; i < vectorLength; i++) {
			sum += (vector1[i] - vector2[i]) * (vector1[i] - vector2[i]);
		}
		distance = sum / vectorLength;

		return distance;
	}
}
