/**
 * Advanced Internet Service Project
 * 
 * Speaker recognition enhanced voice conference.
 * 
 * Authors: Yancheng Li, Liang Wei, Zhaoyuan Zhang
 * 
 */

package SpeakerRegonition;

public class FeatureComparator {
	private int num;
	private int codeNum;
	private String usernames[];
	private double vectors[][][];
	
	public String username;

	public FeatureComparator(double[][] feature, String type) {		
		doComparision(feature, type);
	}

	private void doComparision(double[][] feature, String type) {
		int fnum = feature.length;
		double[][] distance = new double[num][fnum];
		double[] average = new double[num];

		for (int i = 0; i < num; i++) {
			for (int n = 0; n < fnum; n++) {
				DistanceMeasure dm = new DistanceMeasure(feature[n],
						vectors[i][0]);
				distance[i][n] = dm.getEuclideanDistance();
				for (int l = 0; l < codeNum; l++) {
					dm = new DistanceMeasure(feature[n], vectors[i][l]);
					distance[i][n] = Math.min(distance[i][n],
							dm.getEuclideanDistance());
				}
			}

			for (int n = 0; n < fnum; n++) {
				average[i] += distance[i][n] / fnum;
			}
		}

		int index = 0;
		double min = average[0];
		for (int i = 1; i < num; i++) {
			if (min > average[i]) {
				index = i;
				min = average[i];
			}
		}
		
		username = usernames[index];		
	}
}
